package com.ruoyi.business.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.business.mapper.TEbsOrderBakMapper;
import com.ruoyi.business.domain.TEbsOrderBak;
import com.ruoyi.business.service.ITEbsOrderBakService;
import com.ruoyi.common.core.text.Convert;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 流水历史表Service业务层处理
 * 
 * @author wms
 * @date 2025-02-26
 */
@Service
public class TEbsOrderBakServiceImpl extends ServiceImpl<TEbsOrderBakMapper, TEbsOrderBak> implements ITEbsOrderBakService
{
    @Autowired
    private TEbsOrderBakMapper tEbsOrderBakMapper;

    /**
     * 查询流水历史表
     * 
     * @param phasegment1 流水历史表主键
     * @return 流水历史表
     */
    @Override
    public TEbsOrderBak selectTEbsOrderBakByPhasegment1(String phasegment1)
    {
        return tEbsOrderBakMapper.selectTEbsOrderBakByPhasegment1(phasegment1);
    }

    /**
     * 查询流水历史表列表
     * 
     * @param tEbsOrderBak 流水历史表
     * @return 流水历史表
     */
    @Override
    public List<TEbsOrderBak> selectTEbsOrderBakList(TEbsOrderBak tEbsOrderBak)
    {
        return tEbsOrderBakMapper.selectTEbsOrderBakList(tEbsOrderBak);
    }

    /**
     * 新增流水历史表
     * 
     * @param tEbsOrderBak 流水历史表
     * @return 结果
     */
    @Override
    public int insertTEbsOrderBak(TEbsOrderBak tEbsOrderBak)
    {
        tEbsOrderBak.setCreateTime(DateUtils.getNowDate());
        return tEbsOrderBakMapper.insertTEbsOrderBak(tEbsOrderBak);
    }

    /**
     * 修改流水历史表
     * 
     * @param tEbsOrderBak 流水历史表
     * @return 结果
     */
    @Override
    public int updateTEbsOrderBak(TEbsOrderBak tEbsOrderBak)
    {
        tEbsOrderBak.setUpdateTime(DateUtils.getNowDate());
        return tEbsOrderBakMapper.updateTEbsOrderBak(tEbsOrderBak);
    }

    /**
     * 批量删除流水历史表
     * 
     * @param phasegment1s 需要删除的流水历史表主键
     * @return 结果
     */
    @Override
    public int deleteTEbsOrderBakByPhasegment1s(String phasegment1s)
    {
        return tEbsOrderBakMapper.deleteTEbsOrderBakByPhasegment1s(Convert.toStrArray(phasegment1s));
    }

    /**
     * 删除流水历史表信息
     * 
     * @param phasegment1 流水历史表主键
     * @return 结果
     */
    @Override
    public int deleteTEbsOrderBakByPhasegment1(String phasegment1)
    {
        return tEbsOrderBakMapper.deleteTEbsOrderBakByPhasegment1(phasegment1);
    }
}
